﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ExtentChangedEvent.aspx.cs"
    Inherits="CSSamples.Samples.NavigateTheMap.ExtentChangedEvent" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>ExtentChangedEvent</title>
    <script type="text/javascript">
    var tgMap = null;
    
    var OnMapCreated = function(map){
        tgMap = map;
        Map1ExtentChanged();
    }
    
    var Map1ExtentChangedCompleted = function(result, context){
        alert(result);
    }
    
    var Map1ExtentChanged = function(e){
        if(tgMap != null){
            var args = tgMap.getExtent().toGeometry().toString();
            <%=ClientScript.GetCallbackEventReference(this, "args", "Map1ExtentChangedCompleted", "tgMap") %>
        }
    }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="Map1_Script" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
    </cc1:Map>
    <Description:DescriptionPanel ID="DescPanel" runat="server">
        Pan or zoom the map to see the CurrentScale and CurrentExtent changed.
        <br />
        <br />
        <div id="dataContainer" runat="server">
            <asp:Button runat="server" Text="Click Me" OnClick="Button1_Click" />
        </div>
    </Description:DescriptionPanel>
    </form>
</body>
</html>
